// Beliefs
manager("Manager").

// Team of troop.
team("ALLIED").
// Type of troop.
type("CLASS_MEDIC").

// List of tasks.
// Each task has the following structure:
// task(Priority, Type, ActivatorAgent, Position, Content).
tasks([]).

// List of objects in Field Of View.
fovObjects([]).

// Aimed Agent.
//aimed_agent(AimedAgent).

// Indicates if agent has the flag or not.
//carrying_flag.

// Initial state in Finite State Machine.
state(standing).

// Goals
!start.

// Plans

/////////////////////////////////
//  END OF GAME
/////////////////////////////////
+end_of_game[source(M)]
    <-  .println(M, " informs me about the end of the game.");
        -current_task(_);
        -tasks(_);
        -state(_);
        +state(quit);
        !fsm.


        
/////////////////////////////////
//  INITIAL SETUP
/////////////////////////////////
+initial_setup(AssignedID, Map)[source(M)] : .my_name(MyName)
    <-  .println(M, " assigned me the ID ", AssignedID);
        +assigned_id(AssignedID);
        .println("The selected battlefield is ", Map);
        +battlefield(Map);
        .println("Beginning to fight").



/////////////////////////////////
//  SETUP PRIORITIES
/////////////////////////////////
+!setup_priorities
    <-  +task_priority("TASK_NONE",0);
        +task_priority("TASK_GIVE_MEDICPAKS", 2000);
        +task_priority("TASK_GIVE_AMMOPACKS", 0);
        +task_priority("TASK_GIVE_BACKUP", 0);
        +task_priority("TASK_GET_OBJECTIVE",1000);
        +task_priority("TASK_ATTACK", 1000);
        +task_priority("TASK_RUN_AWAY", 1500);
        +task_priority("TASK_GOTO_POSITION", 750);
        +task_priority("TASK_PATROLLING", 500);
        +task_priority("TASK_WALKING_PATH", 750).   



/////////////////////////////////
//  START
/////////////////////////////////
+!start : .my_name(MyName) & manager(M) & team(MyTeam) & type(MyType)
	<- 	// Setup values
        
        .setlogfile("agente.log");
		+my_health(100);
		+my_protection(25);
		+my_stamina(100);
		+my_power(100);
		+my_ammo(100);
		
		// Threshold
		+my_aim_threshold(1);
		+my_ammo_threshold(50);
		+my_health_threshold(50);
		+my_look_threshold(1);
		+my_shot_threshold(1);
		
		.println("I'm ready");
   		.get_type(MyType,FormattedType);
   		+my_formattedType(FormattedType);
   		.get_team(MyTeam,FormattedTeam);
   		+my_formattedTeam(FormattedTeam);
   		
   		.concat("ID: 0 Name: ", MyName, " TYPE: ", FormattedType, " TEAM: ", FormattedTeam, X);
   		.send_msg_with_conversation_id(M, tell, X, "INIT");
   		.println("Sent 'INIT' message to ", M);
   		agent_setup.


/////////////////////////////////
//  UPDATE TARGETS
///////////////////////////////// 
+!update_targets 
	<-	.println("YOUR CODE FOR UPDATE_TARGETS GOES HERE.").
